<?php
//*****************************************************************//
// This file is part of bloofoxCMS! Do not delete this copyright!!!
// - admin/inc_tools_upload.php -
//
// Copyrights (c) 2006 - 2008 Alexander Lang, Germany
// info@bloofox.com
// http://www.bloofox.com
//
// bloofoxCMS is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// bloofoxCMS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with bloofoxCMS; if not, please contact the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//*****************************************************************//

// Forbid direct call
if(!defined('SYS_INDEX')) {
	die("You can't call this file directly!");
}

switch($action)
{
	case 'image':
		if(isset($_POST['send']) && $sys_group_vars['demo'] == 0 && $sys_rights['tools']['write'] == 1) {
			$error = "";
			$x = 0;
			while($x < 5)
			{
				$x++;
				if(mandatory_field($_FILES["file".$x]["name"]) && file_exists($path_to_image_folder.$_FILES["file".$x]["name"])) {
					$error .= "<p class='error'>".get_caption('ErrorFileExist')." ".$_FILES["file".$x]["name"]."</p>";
				}
			}
			
			if($error == "") {
				if(!upload_files($path_to_image_folder)) { $error = "<p class='error'>".get_caption('ErrorWritePermission')."</p>"; }
			}
			
			if($error == "") {
				load_url("index.php?mode=tools&page=upload&action=image");
			}
		}
		
		// Set variables
		$tpl->set_var(array(
			"tools_title"       => "<h2>".get_caption('Image')." - ".get_caption('ToolsUpload')." - ".get_caption('Tools')."</h2>",
			"tools_action"      => "index.php?mode=tools&page=upload&action=image",
			"tools_error"       => $error,
			"tools_file1"       => get_caption('File'),
			"tools_file1_input" => "<input type='file' name='file1' size='30' maxlength='250' />",
			"tools_file2"       => get_caption('File'),
			"tools_file2_input" => "<input type='file' name='file2' size='30' maxlength='250' />",
			"tools_file3"       => get_caption('File'),
			"tools_file3_input" => "<input type='file' name='file3' size='30' maxlength='250' />",
			"tools_file4"       => get_caption('File'),
			"tools_file4_input" => "<input type='file' name='file4' size='30' maxlength='250' />",
			"tools_file5"       => get_caption('File'),
			"tools_file5_input" => "<input type='file' name='file5' size='30' maxlength='250' />",
			"tools_button_send" => "<input class='btn' type='submit' name='send' value='".get_caption('UploadFiles')."' />"
			));
	break;

	case 'file':
		if(isset($_POST['send']) && $sys_group_vars['demo'] == 0 && $sys_rights['tools']['write'] == 1) {
			$error = "";
			$x = 0;
			while($x < 5)
			{
				$x++;
				if(mandatory_field($_FILES["file".$x]["name"]) && file_exists($path_to_files_folder.$_FILES["file".$x]["name"])) {
					$error .= "<p class='error'>".get_caption('ErrorFileExist')." ".$_FILES["file".$x]["name"]."</p>";
				}
			}
			
			if($error == "") {
				if(!upload_files($path_to_files_folder)) { $error = "<p class='error'>".get_caption('ErrorWritePermission')."</p>"; }
			}
			
			if($error == "") {
				load_url("index.php?mode=tools&page=upload&action=file");
			}
		}
		
		// Set variables
		$tpl->set_var(array(
			"tools_title"    => "<h2>".get_caption('File')." - ".get_caption('ToolsUpload')." - ".get_caption('Tools')."</h2>",
			"tools_action"      => "index.php?mode=tools&page=upload&action=file",
			"tools_error"       => $error,
			"tools_file1"       => get_caption('File'),
			"tools_file1_input" => "<input type='file' name='file1' size='30' maxlength='250' />",
			"tools_file2"       => get_caption('File'),
			"tools_file2_input" => "<input type='file' name='file2' size='30' maxlength='250' />",
			"tools_file3"       => get_caption('File'),
			"tools_file3_input" => "<input type='file' name='file3' size='30' maxlength='250' />",
			"tools_file4"       => get_caption('File'),
			"tools_file4_input" => "<input type='file' name='file4' size='30' maxlength='250' />",
			"tools_file5"       => get_caption('File'),
			"tools_file5_input" => "<input type='file' name='file5' size='30' maxlength='250' />",
			"tools_button_send" => "<input class='btn' type='submit' name='send' value='".get_caption('UploadFiles')."' />"
			));
	break;
	
	case 'language':
		if(isset($_POST['send']) && $sys_group_vars['demo'] == 0 && $sys_rights['tools']['write'] == 1) {
			$error = "";
			$x = 0;
			while($x < 5)
			{
				$x++;
				if(mandatory_field($_FILES["file".$x]["name"]) && file_exists($path_to_lang_files.$_FILES["file".$x]["name"])) {
					$error .= "<p class='error'>".get_caption('ErrorFileExist')." ".$_FILES["file".$x]["name"]."</p>";
				}
			}
			
			if($error == "") {
				if(!upload_files($path_to_lang_files)) { $error = "<p class='error'>".get_caption('ErrorWritePermission')."</p>"; }
			}
			
			if($error == "") {
				load_url("index.php?mode=tools&page=upload&action=language");
			}
		}
		
		// Set variables
		$tpl->set_var(array(
			"tools_title"    => "<h2>".get_caption('Language')." - ".get_caption('ToolsUpload')." - ".get_caption('Tools')."</h2>",
			"tools_action"      => "index.php?mode=tools&page=upload&action=language",
			"tools_error"       => $error,
			"tools_file1"       => get_caption('File'),
			"tools_file1_input" => "<input type='file' name='file1' size='30' maxlength='250' />",
			"tools_file2"       => get_caption('File'),
			"tools_file2_input" => "<input type='file' name='file2' size='30' maxlength='250' />",
			"tools_file3"       => get_caption('File'),
			"tools_file3_input" => "<input type='file' name='file3' size='30' maxlength='250' />",
			"tools_file4"       => get_caption('File'),
			"tools_file4_input" => "<input type='file' name='file4' size='30' maxlength='250' />",
			"tools_file5"       => get_caption('File'),
			"tools_file5_input" => "<input type='file' name='file5' size='30' maxlength='250' />",
			"tools_button_send" => "<input class='btn' type='submit' name='send' value='".get_caption('UploadFiles')."' />"
			));
	break;
	
	case 'tmpl-file':
		if(isset($_POST['send']) && $sys_group_vars['demo'] == 0 && $sys_rights['tools']['write'] == 1) {
			$tmpl_folder = $_POST['tmpl']."/";
			$error = "";
			$x = 0;
			while($x < 5)
			{
				$x++;
				if(mandatory_field($_FILES["file".$x]["name"]) && file_exists($path_to_template_files.$tmpl_folder.$_FILES["file".$x]["name"])) {
					$error .= "<p class='error'>".get_caption('ErrorFileExist')." ".$_FILES["file".$x]["name"]."</p>";
				}
			}
			
			if($error == "") {
				if(!upload_files($path_to_template_files.$tmpl_folder)) { $error = "<p class='error'>".get_caption('ErrorWritePermission')."</p>"; }
			}
			
			if($error == "") {
				load_url("index.php?mode=tools&page=upload&action=tmpl-file");
			}
		}
		
		// Set variables
		$tpl->set_var(array(
			"tools_title"    => "<h2>".get_caption('TemplateFile')." - ".get_caption('ToolsUpload')." - ".get_caption('Tools')."</h2>",
			"tools_action"      => "index.php?mode=tools&page=upload&action=tmpl-file",
			"tools_error"       => $error,
			"tools_folder"      => get_caption('Template'),
			"tools_folder_input"=> "<select name='tmpl'>".get_files($path_to_template_files,$_POST['tmpl'],"")."</select>",
			"tools_file1"       => get_caption('File'),
			"tools_file1_input" => "<input type='file' name='file1' size='30' maxlength='250' />",
			"tools_file2"       => get_caption('File'),
			"tools_file2_input" => "<input type='file' name='file2' size='30' maxlength='250' />",
			"tools_file3"       => get_caption('File'),
			"tools_file3_input" => "<input type='file' name='file3' size='30' maxlength='250' />",
			"tools_file4"       => get_caption('File'),
			"tools_file4_input" => "<input type='file' name='file4' size='30' maxlength='250' />",
			"tools_file5"       => get_caption('File'),
			"tools_file5_input" => "<input type='file' name='file5' size='30' maxlength='250' />",
			"tools_button_send" => "<input class='btn' type='submit' name='send' value='".get_caption('UploadFiles')."' />"
			));
	break;
	
	case 'tmpl-image':
		if(isset($_POST['send']) && $sys_group_vars['demo'] == 0 && $sys_rights['tools']['write'] == 1) {
			$error = "";
			$tmpl_folder = $_POST['tmpl']."/images/";
			
			if(!is_dir($path_to_template_files.$tmpl_folder)) {
				if(!mkdir($path_to_template_files.$tmpl_folder,0777)) {
					$error = "<p class='error'>".get_caption('ErrorWritePermission')."</p>";
				} else {
					@chmod($path_to_template_files.$tmpl_folder,0777);
				}
			}

			$x = 0;
			while($x < 5)
			{
				$x++;
				if(mandatory_field($_FILES["file".$x]["name"]) && file_exists($path_to_template_files.$tmpl_folder.$_FILES["file".$x]["name"])) {
					$error .= "<p class='error'>".get_caption('ErrorFileExist')." ".$_FILES["file".$x]["name"]."</p>";
				}
			}
			
			if($error == "") {
				if(!upload_files($path_to_template_files.$tmpl_folder)) { $error = "<p class='error'>".get_caption('ErrorWritePermission')."</p>"; }
			}
			
			if($error == "") {
				load_url("index.php?mode=tools&page=upload&action=tmpl-image");
			}
		}
		
		// Set variables
		$tpl->set_var(array(
			"tools_title"    => "<h2>".get_caption('TemplateImage')." - ".get_caption('ToolsUpload')." - ".get_caption('Tools')."</h2>",
			"tools_action"      => "index.php?mode=tools&page=upload&action=tmpl-image",
			"tools_error"       => $error,
			"tools_folder"      => get_caption('Template'),
			"tools_folder_input"=> "<select name='tmpl'>".get_files($path_to_template_files,$_POST['tmpl'],"")."</select>",
			"tools_file1"       => get_caption('File'),
			"tools_file1_input" => "<input type='file' name='file1' size='30' maxlength='250' />",
			"tools_file2"       => get_caption('File'),
			"tools_file2_input" => "<input type='file' name='file2' size='30' maxlength='250' />",
			"tools_file3"       => get_caption('File'),
			"tools_file3_input" => "<input type='file' name='file3' size='30' maxlength='250' />",
			"tools_file4"       => get_caption('File'),
			"tools_file4_input" => "<input type='file' name='file4' size='30' maxlength='250' />",
			"tools_file5"       => get_caption('File'),
			"tools_file5_input" => "<input type='file' name='file5' size='30' maxlength='250' />",
			"tools_button_send" => "<input class='btn' type='submit' name='send' value='".get_caption('UploadFiles')."' />"
			));
	break;
	
	default:
		// Set variables
		$tpl->set_var(array(
			"tools_title"    => "<h2>".get_caption('ToolsUpload')." - ".get_caption('Tools')."</h2>",
			"tools_image"    => "<a href='index.php?mode=tools&page=upload&action=image'>".get_caption('Image')."</a>",
			"tools_file"     => "<a href='index.php?mode=tools&page=upload&action=file'>".get_caption('File')."</a>",
			"tools_language" => "<a href='index.php?mode=tools&page=upload&action=language'>".get_caption('Language')."</a>",
			"tools_tmplfile" => "<a href='index.php?mode=tools&page=upload&action=tmpl-file'>".get_caption('TemplateFile')."</a>",
			"tools_tmplimg"  => "<a href='index.php?mode=tools&page=upload&action=tmpl-image'>".get_caption('TemplateImage')."</a>"
			));
	break;
}
?>