<?php
//*****************************************************************//
// This file is part of bloofoxCMS! Do not delete this copyright!!!
// - admin/index.php -
//
// Copyrights (c) 2006-2007 Alexander Lang, Germany
// info@bloofox.com
// http://www.bloofox.com
//
// bloofoxCMS is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// bloofoxCMS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with bloofoxCMS; if not, please contact the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//*****************************************************************//

// Make or find session
session_name("sid");
session_start();

// Set error reporting
error_reporting (E_ALL ^ E_NOTICE);

// Define constants
define ('SYS_WORK_DIR', getcwd());
define ('SYS_INDEX', 1);
define ('SYS_FOLDER', '/system');

// Check if setup report was created, if not start setup
if(!file_exists("../media/txt/install.txt")) {
  header("LOCATION: ../install/index.php");
  exit;
}

// Check if setup folder still exists, if so then die
if(is_dir("../install")) {
  die("Sorry, but setup folder '/install' still exists!");
}

// Load required libraries
include_once(SYS_WORK_DIR."/config.php");
require_once("../functions.php");
require_once("../".SYS_FOLDER."/class_mysql.php");
require_once("../".SYS_FOLDER."/class_template.php");
require_once("../".SYS_FOLDER."/class_permissions.php");
require_once("../".SYS_FOLDER."/class_config.php");

// Clean GET parameter
$_GET['cid'] = clean_int_values($_GET['cid']);
$_GET['eid'] = clean_int_values($_GET['eid']);
$_GET['mid'] = clean_int_values($_GET['mid']);
$_GET['lid'] = clean_int_values($_GET['lid']);
$_GET['tid'] = clean_int_values($_GET['tid']);
$_GET['pid'] = clean_int_values($_GET['pid']);
$_GET['userid'] = clean_int_values($_GET['userid']);
$_GET['gid'] = clean_int_values($_GET['gid']);
$_GET['sid'] = clean_int_values($_GET['sid']);

// Init libraries
$db = new DB_Tpl();
$db2 = new DB_Tpl();
$tpl = new Template();
$tpl->set_unknowns("keep");
$perm = new permissions();

// if not logged in then switch mode to login
$mode = $_GET['mode'];
if($perm->check_session() == 0) {
	if(isset($mode)) {
		load_url("index.php");
	}
	$mode = "login";
	$tmpl_var_foot = "";
	$tmpl_var_js_body = "onLoad=\"focus_user()\";";
	$logged_in = 0;
} else {
	$sys_group_vars = $perm->get_group($db,$_SESSION["usergroups"]);
	if($sys_group_vars['backend'] == 0) {
		$mode = "login";
		$tmpl_var_foot = "";
		$tmpl_var_js_body = "onLoad=\"focus_user()\";";
		$logged_in = 0;
	} else {
		$sys_rights = $perm->get_permission($db,$_SESSION["usergroups"]);
		$logged_in = 1;
		$tmpl_var_js = "";
		$tmpl_var_js_body = "";
		$tmpl_var_top = "";
	}
}

// Search for valid config
$conf = new config();
$sys_config_vars = $conf->get_config($db);

// Get general settings
$sys_setting_vars = $conf->get_settings($db);

// load language & get language parameters
include("../languages/".get_admin_language_file($db));
if($logged_in == 1) {
	$sys_profile = $perm->get_user_profile($db,$_SESSION["uid"]);
	$sys_vars['date'] = "d.m.Y";
	$sys_vars['datetime'] = "d.m.Y - H:i";
	$db->query("SELECT date,datetime,token FROM ".$tbl_prefix."sys_lang WHERE lid = '".$sys_profile['be_lang']."' ORDER BY lid LIMIT 1");
	while($db->next_record()):
		$sys_vars['date'] = $db->f("date");
		$sys_vars['datetime'] = $db->f("datetime");
		$sys_vars['token'] = $db->f("token");
	endwhile;
}

// get installed plugins for admincenter
$db->query("SELECT pid,status FROM ".$tbl_prefix."sys_plugin WHERE plugin_type = '0' ORDER BY pid");
while($db->next_record()):
	$admin_plugin[$db->f("pid")] = $db->f("status");
endwhile;

// check for individual admincenter style
if($logged_in == 1) {
	if($sys_profile['be_tmpl'] != 0) {
		$db->query("SELECT name,template,css FROM ".$tbl_prefix."sys_template WHERE tid = '".$sys_profile['be_tmpl']."' LIMIT 1");
		while($db->next_record()):
			if(is_dir("../templates/".$db->f("name")."/")) {
				if(file_exists("../templates/".$db->f("name")."/".$db->f("template")) &&
				   file_exists("../templates/".$db->f("name")."/".$db->f("css"))) {
					$tmpl_name = "../templates/".$db->f("name")."/".$db->f("template");
					$tmpl_css = "../templates/".$db->f("name")."/".$db->f("css");
					$tmpl_path = "../templates/".$db->f("name")."/";
				}
			}
		endwhile;
	}
}
$tmpl_var_head = str_replace("{tmpl_css_path}",$tmpl_css,$tmpl_var_head);

$page = $_GET['page'];
include(SYS_WORK_DIR."/page_handler.php");

// set templates
$tpl->set_file( array (
	"template"      => $tmpl_name, // Layout Template
	"tmpl_menu"     => $tmpl_path.$tmpl_menu, //Menu Template
	"tmpl_content"  => $tmpl_mode //  Content Template
	));
	
// load modules
include(SYS_WORK_DIR."/mod_menu.php");
include(SYS_WORK_DIR.$mod_mode);
			  
// load and parse template
$tmpl_var_doctype = create_doctype("XHTML 1.0 Transitional");

// set be_top
if($logged_in == 1) {
	$tmpl_var_top = "<a href='#'>".get_caption('TopOfSite')."</a>";
} else {
	$tmpl_var_top = "";
}

$tpl->set_var(array(
	"be_doctype" => $tmpl_var_doctype,
	"be_head"    => $tmpl_var_head,
	"be_js"      => $tmpl_var_js,
	"be_js_body" => $tmpl_var_js_body,
	"be_foot"    => $tmpl_var_foot,
	"be_top"     => $tmpl_var_top
	));

$tpl->parse ("template_handle", array("template"));
$tpl->p ("template_handle");

// Clear online status for users who didnt log out
$old_time = time() - 3600; // 3600 = 1h
$db->query("UPDATE ".$tbl_prefix."sys_user SET online_status = '0' WHERE online_status = '1' && curr_login < '".$old_time."' && uid <> '".$_SESSION["uid"]."' ORDER BY online_status");

// Reactivate own online status if it was deactivated
$db->query("UPDATE ".$tbl_prefix."sys_user SET online_status = '1' WHERE online_status = '0' && uid = '".$_SESSION["uid"]."' ORDER BY uid");

?>