<?php
//*****************************************************************//
// This file is part of bloofoxCMS! Do not delete this copyright!!!
// - index.php -
//
// Copyrights (c) 2006-2008 Alexander Lang, Germany
// info@bloofox.com
// http://www.bloofox.com
//
// bloofoxCMS is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// bloofoxCMS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with bloofoxCMS; if not, please contact the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//*****************************************************************//

// Make or find session
session_name("sid");
session_start();

// Set error reporting
error_reporting (E_ALL ^ E_NOTICE);

// Define constants
define ('SYS_WORK_DIR', getcwd());
define ('SYS_INDEX', 1);
define ('SYS_FOLDER', '/system');

// Check if setup report was created, if not start setup
if(!file_exists(SYS_WORK_DIR."/media/txt/install.txt")) {
  header("LOCATION: install/index.php");
  exit;
}

// Check if setup folder still exists, if so then die
if(is_dir(SYS_WORK_DIR."/install")) {
  die("Sorry, but setup folder '/install' still exists!");
}

// Load required libraries
include_once(SYS_WORK_DIR."/config.php");
require_once(SYS_WORK_DIR."/functions.php");
require_once(SYS_WORK_DIR.SYS_FOLDER."/class_mysql.php");
require_once(SYS_WORK_DIR.SYS_FOLDER."/class_template.php");
require_once(SYS_WORK_DIR.SYS_FOLDER."/class_config.php");
require_once(SYS_WORK_DIR.SYS_FOLDER."/class_explorer.php");
require_once(SYS_WORK_DIR.SYS_FOLDER."/class_content.php");
require_once(SYS_WORK_DIR.SYS_FOLDER."/class_permissions.php");

// Init libraries
$db = new DB_Tpl();

// Search for valid config
$conf = new config();
if(!isset($_GET['page']) || CheckInteger($_GET['page']) == FALSE) {
	$sys_config_vars = $conf->get_config($db);
} else {
	$db->query("SELECT config_id FROM ".$tbl_prefix."sys_explorer WHERE eid = '".$_GET['page']."' LIMIT 1");
	while($db->next_record()):
		$config_id = $db->f("config_id");
	endwhile;
	$sys_config_vars = $conf->set_config($db,$config_id);
}

if($sys_config_vars['cid'] == "") {
	die("Error: No configuration found!");
}

// Get general settings
$sys_setting_vars = $conf->get_settings($db);

// Get language parameters
$sys_vars = $conf->get_language_vars($db,$sys_config_vars);
$sys_config_vars['language'] = $sys_vars['token'];
include(SYS_WORK_DIR."/languages/".$sys_vars['language']);

$perm = new permissions();
// handle logout
if(isset($_GET['logout'])) {
	$perm->logout($db,"index.php");
}

// unblock account
if(isset($_GET['key'])) {
	$user_key = validate_text($_GET['key']);
	$db->query("UPDATE ".$tbl_prefix."sys_user SET `blocked` = '0' WHERE `key` = '".$user_key."' && blocked = '1'");
	$db->query("SELECT uid FROM ".$tbl_prefix."sys_user WHERE `key` = '".$user_key."' LIMIT 1");
	while($db->next_record()):
		$perm->set_current_user($db->f("uid"));
	endwhile;
	$perm->archive_session($db);
}

// check if login is required for content or for config
$login_ok = 0;
$login_failed = 0;
if(isset($_POST['login']) || $_GET['login'] == "true") {
	if($perm->login($db,validate_text($_POST['username']),validate_text($_POST['password'])) == 1) {
		$login_ok = 1;
		if($_GET['login'] == "true") {
			load_url("index.php");
		}
	} else {
		$login_failed = 1;
	}
}

// check if user is already logged in
$sys_vars['curr_usertext'] = get_caption("NotLoggedIn");
if($perm->check_session() == 1) {
	// session already exists
	$login_ok = 1;
	$sys_vars['username'] = $_SESSION["username"];
	$sys_vars['uid'] = $_SESSION["uid"];
	$sys_vars['curr_usertext'] = get_caption("LoggedIn");
	$sys_vars['curr_logout'] = "<a href='index.php?logout' title='".get_caption('Logout')."'>".get_caption('Logout')."</a>";
	$sys_vars['logout'] = "<p class='logout'>".get_caption('Username').": ".$_SESSION["username"]." - ".$sys_vars['curr_logout']."</p>";
	$perm->get_group($db,$_SESSION['usergroups']);
	if($perm->backend_access() == 1) {
		$sys_vars['curr_admin'] = "<a href='admin/index.php' title='".get_caption("Admincenter")."'>".get_caption("Admincenter")."</a>";
		$sys_vars['logout'] .= "<p class='logout'>".$sys_vars['curr_admin']."</p>";
	}
}

// do group comparison
$group_found = 0;
$group_found = $perm->compare_groups($sys_config_vars['user_groups']);

// get explorer entry for content
$sys_explorer_id = $_GET['page'];
if(empty($sys_explorer_id)) {
	$sys_explorer_id = $sys_config_vars['root_id'];
}

// check if parameter $page is a valid integer value
if(CheckInteger($sys_explorer_id) == FALSE) {
	$sys_explorer_id = $sys_config_vars['root_id'];
}

// check if parameter $start is a valid integer value
if(CheckInteger($_GET['start']) == FALSE) {
	$_GET['start'] = 1;
}

// check if parameter $print is a valid integer value
if(CheckInteger($_GET['print']) == FALSE || $_GET['print'] > 1) {
	$print = 0;
} else {
	$print = 1;
}

// get explorer vars
$expl = new explorer();
$sys_explorer_vars = $expl->get_explorer($db,$sys_config_vars,$sys_explorer_id);

// get explorer vars for shortcut entry
$sys_explorer_vars2 = $sys_explorer_vars;
if($sys_explorer_vars['link_type'] == 2) {
	$sys_explorer_vars = $expl->get_explorer($db,$sys_config_vars,$sys_explorer_vars['link_eid']);
}

// change template for explorer page
if($sys_explorer_vars['template_id'] != 0) {
	$sys_config_vars['tmpl_id'] = $sys_explorer_vars['template_id'];
}

// compare groups for content access
if($sys_explorer_vars['groups'] != "") {
	$group_found = $perm->compare_groups($sys_explorer_vars['groups']);
}

// set if login is required
$login_required = 0;
if($group_found == 0 || $login_failed == 1) {
	$login_required = 1;
}

// initialize content class
$cont = new content();
if($login_required == 0) {
	$cont->set_eid($sys_explorer_vars['eid']);
}

// build template
$tpl = new Template();
$tpl->set_unknowns("keep");

$sys_tmpl_vars = $conf->get_tmpl_vars($db,$sys_config_vars,$print);

if(!file_exists(SYS_WORK_DIR."/templates/".$sys_tmpl_vars['name']."/".$sys_tmpl_vars['tmpl'])) {
	die("Error: Template does not exist!");
}

// set content template or login window template
if($sys_explorer_vars['link_type'] != 3) {
	switch($sys_explorer_vars['link_type'])
	{
		default:
			$sys_tmpl_vars['content'] = "/templates/".$sys_tmpl_vars['name']."/text.html";
		break;
	}
}

if($login_required == 1) {
	if(isset($_POST['login']) && $login_ok == 0) {
		$login_error = "<p class='error'>".get_caption('ErrorLogin')."</p>";
	} else {
		if(isset($_POST['login']) && $group_found == 0) {
			$login_error = "<p class='error'>".get_caption('ErrorLoginGroup')."</p>";
		} else {
			if($login_ok == 1) {
				$login_error = "<p class='error'>".get_caption('ErrorLoginMissingGroup')."</p>";
			} else {
				$login_error = "";
			}
		}
	}
	
	$cont->set_login_vars(get_caption('Login'),$_SERVER['REQUEST_URI'],get_caption('Username'),get_caption('Password'),$login_error);
	$sys_tmpl_vars['content'] = "/templates/".$sys_tmpl_vars['name']."/login.html";
}

// Load and handle plugins template block
include(SYS_WORK_DIR."/plugins_tmpl.php");

// set templates
$basic_tmpl = array (
	"template"      => SYS_WORK_DIR."/templates/".$sys_tmpl_vars['name']."/".$sys_tmpl_vars['tmpl'], // Layout Template
	"tmpl_content"  => SYS_WORK_DIR.$sys_tmpl_vars['content'] // Content Template
	);
$template_arrays = array_merge($basic_tmpl,$plugins_tmpl);

$tpl->set_file($template_arrays);

// set print variables; can be overwritten by a content plugin later
if($print == 0) {
	$sys_print_vars['print'] = "<p style='clear: both;'><a href='index.php?page=".$sys_explorer_id."&amp;start=".$_GET['start']."&amp;print=1' target='print' title='".get_caption('Print')."'>".get_caption('Print')."</a></p>";
}

// include content or login window
if($sys_explorer_vars['link_type'] != 3 || $login_required == 1) {
	//$cont->build_content($db,$login_required);
	include(SYS_WORK_DIR."/system/inc_content.php");
}

// include plugins
include(SYS_WORK_DIR."/plugins.php");

// get doctype
$tmpl_var_doctype = create_doctype($sys_config_vars['meta_doctype']);

// get header and replace title bar with current page
$tmpl_var_head = create_head($sys_config_vars,$sys_tmpl_vars,$sys_explorer_vars,$sys_plugin_vars);
			  
// load and parse template
$tpl->set_var(array(
	// default placeholders (should not be changed):
	"doctype"       => $tmpl_var_doctype,
	"head"          => $tmpl_var_head,
	"url"           => $sys_config_vars['url'],
	"company"       => $sys_config_vars['meta_title'],
	"copy"          => $sys_config_vars['meta_copyright'],
	"print"         => $sys_print_vars['print'],
	"pages"         => $sys_vars['pages'],
	"logout"        => $sys_vars['logout'],
	// additional default placeholders:
	"curr_user"     => $sys_vars['username'],
	"curr_usertext" => $sys_vars['curr_usertext'],
	"curr_logout"   => $sys_vars['curr_logout'],
	"curr_admin"    => $sys_vars['curr_admin'],
	// these placeholders are for your individual use:
	"addon_1"       => "",
	"addon_2"       => "",
	"addon_3"       => ""
	));

$tpl->parse ("template_handle", array("template"));
$tpl->p ("template_handle");

if($sys_setting_vars['online_status'] == 1) {
	// Clear online status for users who didnt log out
	$sys_vars['old_time'] = time() - 3600; // 3600 = 1h
	$db->query("UPDATE ".$tbl_prefix."sys_user SET online_status = '0' WHERE online_status = '1' && curr_login < '".$sys_vars['old_time']."' && uid <> '".$sys_vars['uid']."' ORDER BY online_status");

	// Reactivate own online status if it was deactivated
	$db->query("UPDATE ".$tbl_prefix."sys_user SET online_status = '1' WHERE online_status = '0' && uid = '".$sys_vars['uid']."' ORDER BY uid");
}
?>