<?php
//*****************************************************************//
// This file is part of bloofoxCMS! Do not delete this copyright!!!
// - plugins/guestbook/gbook.php -
//
// Copyrights (c) 2008 Alexander Lang, Germany
// info@bloofox.com
// http://www.bloofox.com
//
// bloofoxCMS is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// bloofoxCMS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with bloofoxCMS; if not, please contact the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//*****************************************************************//

// check plugin ID
// guestbook must have "1000"

if($sys_explorer_vars['link_plugin'] == 1000) {
	$tpl->set_block("tmpl_content", "content", "content_handle");

	require_once("languages.php");
	
	$sys_print_vars['print'] = "";
	$curr_time = time();
	$db2 = new DB_Tpl();
	
	// set template block
	$error = "";
	if(isset($_POST['send'])) {
		$_POST['name'] = validate_text($_POST['name']);
		$_POST['message'] = validate_text($_POST['message']);
		$_POST['email'] = validate_text($_POST['email']);
		$_POST['homepage'] = validate_text($_POST['homepage']);
		$_POST['code'] = validate_text($_POST['code']);
		
		if(!mandatory_field($_POST['message'])) { $error = "<p class='error'>".get_caption('ErrorMessage')."</p>"; }
		if(!email_is_valid($_POST['email']) && $error == "") { $error = "<p class='error'>".get_caption('ErrorEmailValid')."</p>"; }
		if($_SESSION["gbook"] != $_POST['code'] && $error == "") { $error = "<p class='error'>".get_caption('ErrorCaptcha')."</p>"; }
		
		if($error == "") {
			$ip_address = $_SERVER['REMOTE_ADDR'];
			$timestamp = time();
			$db2->query("INSERT INTO ".$tbl_prefix."plugin_gbook VALUES('','".$_GET['page']."','".$_POST['name']."','".$_POST['email']."','".$_POST['homepage']."','".$_POST['code']."','".$timestamp."','".$_POST['message']."','".$ip_address."')");
			load_url($_SERVER['REQUEST_URI']."#entries");
		}
	}
	
	//number of records per page
	$limit = 10;
	$start = $_GET['start'];
		
	$gb['start'] = $start * $limit - $limit;
	if($gb['start'] < 0) { $gb['start'] = 0; }
		
	$db2->query("SELECT cid FROM ".$tbl_prefix."plugin_gbook ORDER BY cid DESC");
	$no_of_records = $db2->num_rows();
		
	$factor = $no_of_records / $limit;
	$factor = ceil($factor);
		
	if($factor >= 1) {
		$gb['pages'] = "<span class='bold'>".get_caption('PageHandling').":</span> ";
		for($x=1; $x<=$factor; $x++) {
			if($start == $x) {
				$gb['pages'] .= "<a href='".create_url($sys_explorer_vars['eid'],$sys_explorer_vars['name'],$sys_config_vars['mod_rewrite'],'','',$x)."'><span class='bold'>".$x."</span></a> ";
				if($x - 1 >= 1) {
					$gb['prev'] = "<a href='".create_url($sys_explorer_vars['eid'],$sys_explorer_vars['name'],$sys_config_vars['mod_rewrite'],'','',$x-1)."'>".get_caption('gb_Prev')."</a> ";
				}
				if($x + 1 <= $factor) {
					$gb['next'] = "<a href='".create_url($sys_explorer_vars['eid'],$sys_explorer_vars['name'],$sys_config_vars['mod_rewrite'],'','',$x+1)."'>".get_caption('gb_Next')."</a> ";
				}
			} else {
				$gb['pages'] .= "<a href='".create_url($sys_explorer_vars['eid'],$sys_explorer_vars['name'],$sys_config_vars['mod_rewrite'],'','',$x)."'>".$x."</a> ";
			}
		}
	}
	
	// create output
	$book = new DB_Tpl();
	$book->query("SELECT * FROM ".$tbl_prefix."plugin_gbook ORDER BY cid DESC LIMIT ".$gb['start'].",".$limit);
	
	$gb['output'] = "";
	while($book->next_record()){
		$gb['timestamp'] = $book->f("timestamp");
		$gb['name'] = $book->f("name");
		$gb['comment'] = $book->f("text");
			
		$temp_gb['output'] = "
		<div class='guestbook'>
		<p>
			<label><strong>".get_caption('gb_Posted')."</strong> ".get_caption('gb_on')." ".date($sys_vars['datetime'],$gb['timestamp'])." <strong>".get_caption('gb_by')."</strong> ".$gb['name']."</label><br />
			<label><strong>".get_caption('gb_Comment').":</strong><br />
			".$gb['comment']."
			</label>
		</p>
		</div>\n";
	
		$gb['output'] = $gb['output'].$temp_gb['output'];
	}
	
	$tpl->set_var(array(
		"gbook_title"         => "<h1>".$sys_explorer_vars['name']."</h1>",
		"gbook_action"        => $_SERVER['REQUEST_URI'],
		"gbook_sign"          => get_caption('gb_SignGuestbook'),
		"gbook_prev"          => $gb['prev'],
		"gbook_next"		  => $gb['next'],
		"gbook_pages"	      => $gb['pages'],
		"gbook_content"		  => $gb['output'],
		"gbook_error"         => $error,
		"gbook_name"          => get_caption('Name'),
		"gbook_name_input"    => "<input type='text' name='name' size='30' maxlength='30' value='".$_POST['name']."' />",
		"gbook_email"         => get_caption('Email'),
		"gbook_email_input"   => "<input type='text' name='email' size='50' maxlength='250' value='".$_POST['email']."' />",
		"gbook_message"       => get_caption('Message'),
		"gbook_message_input" => "<textarea name='message' cols='50' rows='5'>".$_POST['message']."</textarea>",
		"gbook_captcha"       => get_caption('CaptchaCode'),
		"gbook_captcha_image" => "<img src='captcha.php?var=gbook' border='0' alt='captcha' width='200' />",
		"gbook_captcha_input" => "<input type='text' name='code' size='20' />",
		"gbook_submit"        => "<input type='submit' name='send' value='".get_caption('gb_SignGuestbook')."' />"
		));

	// parse template
	$tpl->parse("content_handle", "content", true);
}	

?>