<?php
//*****************************************************************//
// This file is part of bloofoxCMS! Do not delete this copyright!!!
// - system/class_content.php -
//
// Copyrights (c) 2006 Alexander Lang, Germany
// info@bloofox.com
// http://www.bloofox.com
//
// bloofoxCMS is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// bloofoxCMS is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with bloofoxCMS; if not, please contact the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
//*****************************************************************//

// Forbid direct call
if(!defined('SYS_INDEX')) {
	die("You can't call this file directly!");
}

class content {

	// Init variables
	var $eid = 0;
	var $limit = 10; // Number of content entries per page
	
	var $title = "";
	var $action = "";
	var $user = "";
	var $pass = "";
	var $error = "";

	// Constructor
	function content()
	{
	}
	
	// Set explorer id
	function set_eid($eid)
	{
		$this->eid = $eid;
	}
	
	// Set Login Vars
	function set_login_vars($title,$action,$user,$pass,$error)
	{
		$this->title = $title;
		$this->action = $action;
		$this->user = $user;
		$this->pass = $pass;
		$this->error = $error;
	}

	// build content
	function build_content($db,$login_required)
	{
		global $tbl_prefix, $tpl;
		
		switch($login_required)
		{
			case '1': // Login required
				// set template block
				$tpl->set_block("tmpl_content", "content", "content_handle");
				
				$tpl->set_var(array(
					"login_title"   => $this->title,
					"login_action"  => $this->action,
					"login_user"    => $this->user,
					"login_pass"    => $this->pass,
					"login_error"   => $this->error
					));
				
				// parse template
				$tpl->parse("content_handle", "content", true);
			break;
			
			default: // Standard Text Content
				// set template block
				$tpl->set_block("tmpl_content", "content", "content_handle");

				// get sys_contents
				$db->query("SELECT * FROM ".$tbl_prefix."sys_content WHERE explorer_id = '".$this->eid."' ORDER BY sorting");
				while($db->next_record()):
					$text = $this->format_text($db->f("text"));
					$tpl->set_var(array(
						"title"    => $db->f("title"),
						"text"     => $text
						));
					// parse template
					$tpl->parse("content_handle", "content", true);
				endwhile;
			break;
		}
	}
	
	// format text
	function format_text($text)
	{
		$text = $text;
		
		return($text);
	}
	
	// create page navigation
	function create_pages($db,$start,$sys_vars)
	{
		global $tbl_prefix,$sys_explorer_vars,$sys_config_vars;
		
		$sys_vars['limit'] = $this->limit;
		$sys_vars['start'] = 0;
		
		$sys_vars['start'] = $start * $sys_vars['limit'] - $sys_vars['limit'];
		if($sys_vars['start'] < 0) { $sys_vars['start'] = 0; }
		
		$db->query("SELECT cid FROM ".$tbl_prefix."sys_content WHERE explorer_id = '".$this->eid."' AND invisible = '0' ORDER BY sorting");
		$no_of_records = $db->num_rows();
		
		$factor = $no_of_records / $sys_vars['limit'];
		$factor = ceil($factor);
		
		if($factor > 1) {
			$sys_vars['pages'] = "<p><span class='bold'>".get_caption('PageHandling').":</span> ";
			for($x=1; $x<=$factor; $x++) {
				if($start == $x) {
					$sys_vars['pages'] .= "<a href='".create_url($sys_explorer_vars['eid'],$sys_explorer_vars['name'],$sys_config_vars['mod_rewrite'],'','',$x)."'><span class='bold'>".$x."</span></a> ";
				} else {
					$sys_vars['pages'] .= "<a href='".create_url($sys_explorer_vars['eid'],$sys_explorer_vars['name'],$sys_config_vars['mod_rewrite'],'','',$x)."'>".$x."</a> ";
				}
			}
			$sys_vars['pages'] .= "</p>";
		}
		
		return($sys_vars);
	}
}
?>